{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:cherry_sapling",
          "functions": [
            {
              "function": "set_components",
              "components": {
                  "max_stack_size": 50,
                  "enchantments": {
                      "overly_realistic:or_internal_saplings/or_internal_saplings_cherry_sapling": 1
                  },
                  "item_name": {
                      "translate": "block.minecraft.cherry_sapling",
                      "color": "white"
                  },
                  "rarity": "common",
                  "enchantment_glint_override": false,
                  "tooltip_display": {
                      "hidden_components": [
                          "enchantments"
                      ]
                  }
              }
            }
          ]
        }
      ]
    }
  ]
}